<h2>
Welcome to the RoR Weather app
</h2>

You can search for the weather using:
<ul>
    <li>
        Address
    </li>
    <li>
        City Name
    </li>
    <li>
        Zip Code
    </li>
</ul>

<%= form_with url: "/weather/index", method: :get do |form| %>
  <%= form.label :query, "Search for weather in:" %>
  <%= form.text_field :address %>
  <%= form.submit "Search" %>
<% end %>

<% if @data.error %>
    <h3>
        <%= "There was an error handling your request: #{@data.error}." %>
        Please try again.
    </h3>
<% else %>
    <h2>
        Weather for <%= @data.display_name %>
    </h2>
    <p>
        Current forecast: <b><%= @data.weather.weather_status %> </b>
    </p>
    <ul>
        <li>
            Current temperature: <%= @data.weather.degrees.temp %> F
        </li>
        <li>
            Feels like: <%= @data.weather.degrees.feels_like %> F
        </li>
        <li>
            High: <%= @data.weather.degrees.temp_max %> F
        </li>
        <li>
            Low: <%= @data.weather.degrees.temp_min %> F
        </li>
        <li>
            Humidity: <%= @data.weather.degrees.humidity %>%
        </li>
    </ul>

<% if @data.weather.cached %>
    <p>
        Data is cached for 30 mins, check back later for an updated time.
    </p>
<%else%>
    <p>
        Data is live
    </p>
<%end%>
<% end %>